﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.C1Chart;

namespace Wpf_ChartZoom_MinMax
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("X Axis Max : " + AxisExtension.GetDispMax(c1Chart1.View.AxisX).ToString()
                + "\n X Axis Min : " + AxisExtension.GetDispMin(c1Chart1.View.AxisX).ToString()
                + "\n Y Axis Max : " + AxisExtension.GetDispMax(c1Chart1.View.AxisY).ToString()
                + "\n Y Axis Min : " + AxisExtension.GetDispMin(c1Chart1.View.AxisY).ToString());
        }
    }

public static class AxisExtension
{

    public static double GetDispMin(this Axis axis)
    {

        return axis.ActualMin + axis.Value *

            (axis.ActualMax - axis.ActualMin) * (1 - axis.Scale);

    }



    public static double GetDispMax(this Axis axis)
    {

        return axis.ActualMax - (1 - axis.Value) *

            (axis.ActualMax - axis.ActualMin) * (1 - axis.Scale);

    }

}
}
